package eu.jovian_hersemeule.dev.squad.squad_composer.data;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.RowMapper;
import org.springframework.lang.NonNull;
import org.springframework.lang.Nullable;

import eu.jovian_hersemeule.dev.squad.squad_composer.data.model.Mech;

public class MechRowMapper implements RowMapper<Mech> {

    @Override
    @Nullable
    public Mech mapRow(final @NonNull ResultSet rs, int rowNum) throws SQLException {
        return new Mech(
            rs.getInt("id"),
            rs.getString("name"),
            rs.getString("class"),
            rs.getInt("resistance"));
    }

}
