import React from 'react';
import MechPicker from './mech/MechPicker';
import './App.css';
import Squad from './mech/squad/Squad';

function App() {

    let mechPickObservers = {};

    return (
        <div className='app'>
            <header>
                <h1>Squad Composer</h1>
            </header>
            <main className='editor'>
                <Squad pickObservers={mechPickObservers}/>
                <MechPicker observers={mechPickObservers}/>
            </main>
            <footer>Squad Composer by DricomDragon</footer>
        </div>
    );
}

export default App;
