CREATE TABLE squad (
  id SERIAL PRIMARY KEY,
  player_id INTEGER NOT NULL,
  creation_date TIMESTAMP NOT NULL,
  name VARCHAR(50) NOT NULL,
  comment TEXT,
  FOREIGN KEY (player_id) REFERENCES player(id)
);

CREATE TABLE mech (
  id SERIAL PRIMARY KEY,
  name VARCHAR(50) NOT NULL,
  class VARCHAR(10) NOT NULL,
  resistance INTEGER NOT NULL DEFAULT 3
);

CREATE TABLE squad_mech (
  squad_id INTEGER NOT NULL,
  mech_id INTEGER NOT NULL,
  PRIMARY KEY (squad_id, mech_id),
  FOREIGN KEY (squad_id) REFERENCES squad(id),
  FOREIGN KEY (mech_id) REFERENCES mech(id)
);
